Subject: RE: [MIPSHOP-MIH-DT] For the wrap up on Thursday

From: Sam Xia <[email-masked]>
Date: Wed, 01 Aug 2007 15:12:54 +0800

Hi Tele and Subir,

The ToC is very good.  But i think one important part is missing.  one part
should be added to describe relationship and position between MSTP and MIH
protocol as well as proposed interfaces between MSTP and the other parts of
MIH protocol.

Views?

 Best Regards, Sam Xia 

> -----Original Message-----
> From: Subir Das [mailto:[email-masked]] 
> Sent: Friday, July 27, 2007 10:49 PM
> To: Telemaco Melia
> Cc: [email-masked]
> Subject: Re: [MIPSHOP-MIH-DT] For the wrap up on Thursday
> 
> Tele,
> The ToC looks good. Few suggestions:
> 
> 5.  Security
> 
>    Information from a trusted source, Security association management,
>    Security association management
> 
> 
> Do we need this section separately or can we merge this with 
> Section 9. 
> Security Considerations?
> 
> 7.  Message specifications
> 
>    propose extensions for the missing parts
> 
> Do we plan to add the the discovery options and related 
> message formats here? If so, I would suggest to create 
> separate documents for both DHCP and DNS. I am assuming we do 
> not need any extension to transport protocol and if that is 
> not the case, then it makes sense to keep this section. 
> Otherwise, we can simply refer to the required  extensions in 
> Section 3 and 4, respectively.
> 
> 11.  Normative References
> 
>    [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
>               Requirement Levels", BCP 14, RFC 2119, March 1997.
> 
> It may be a good idea to add  additional references under "12. 
> Informative References", since
> documents such as 802.21 draft specification can not be 
> referred in Section 11.
> 
> 
> Thanks,
> -Subir
> 
> Telemaco Melia wrote:
> > Guys,
> >
> > Here is a first take on the TOC. Please comment on it.
> > The goal is to agree on Thursday and to assign responsibilities for 
> > editing sections.
> >
> > cheers,
> > tele
> > 
> ----------------------------------------------------------------------
> > --
> >
> >
> >
> >
> > Mipshop WG                                                 
> T. Melia, Ed.
> > Internet-Draft                                              
>          NEC
> > Intended status: Standards Track                            
>       S. Xia
> > Expires: January 25, 2008                                   
>       Huawei
> >                                                             
>    N. Golmie
> >                                                             
>         NIST
> >                                                             
>      H. Jang
> >                                                             
>      Samsung
> >                                                             
>       S. Das
> >                                                             
>    Telcordia
> >                                                             
>     G. Bajko
> >                                                             
>        Nokia
> >                                                             
>   JC. Zuniga
> >                                                             
> InterDigital
> >                                                            July 24, 
> > 2007
> >
> >
> >               Mobility Services Transport Protocol Design
> >                    draft-xxx-mipshop-mstp-solution-00
> >
> > Status of this Memo
> >
> >    By submitting this Internet-Draft, each author 
> represents that any
> >    applicable patent or other IPR claims of which he or she is aware
> >    have been or will be disclosed, and any of which he or 
> she becomes
> >    aware will be disclosed, in accordance with Section 6 of BCP 79.
> >
> >    Internet-Drafts are working documents of the Internet Engineering
> >    Task Force (IETF), its areas, and its working groups.  Note that
> >    other groups may also distribute working documents as Internet-
> >    Drafts.
> >
> >    Internet-Drafts are draft documents valid for a maximum 
> of six months
> >    and may be updated, replaced, or obsoleted by other 
> documents at any
> >    time.  It is inappropriate to use Internet-Drafts as reference
> >    material or to cite them other than as "work in progress."
> >
> >    The list of current Internet-Drafts can be accessed at
> >    http://www.ietf.org/ietf/1id-abstracts.txt.
> >
> >    The list of Internet-Draft Shadow Directories can be accessed at
> >    http://www.ietf.org/shadow.html.
> >
> >    This Internet-Draft will expire on January 25, 2008.
> >
> > Copyright Notice
> >
> >    Copyright (C) The IETF Trust (2007).
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 1]
> > > 
> > Internet-Draft                    MSTP                      
>    July 2007
> >
> >
> > Abstract
> >
> >    To be edited.
> >
> > Requirements Language
> >
> >    The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", 
> "SHALL NOT",
> >    "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and 
> "OPTIONAL" in this
> >    document are to be interpreted as described in RFC 2119 
> [RFC2119].
> >
> >
> > Table of Contents
> >
> >    1.  Introduction  . . . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >    2.  Solution Overview . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >      2.1.  Architecture (functional elements?) . . . . . . 
> . . . . . . 3
> >        2.1.1.  MIHF Identifiers (FQDN, NAI)  . . . . . . . 
> . . . . . . 3
> >      2.2.  Deployment Scenarios  . . . . . . . . . . . . . 
> . . . . . . 3
> >    3.  Node Discovery  . . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >    4.  MIH Transport . . . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >    5.  Security  . . . . . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >    6.  Operation Flows . . . . . . . . . . . . . . . . . . 
> . . . . . . 3
> >    7.  Message specifications  . . . . . . . . . . . . . . 
> . . . . . . 3
> >    8.  IANA Considerations . . . . . . . . . . . . . . . . 
> . . . . . . 4
> >    9.  Security Considerations . . . . . . . . . . . . . . 
> . . . . . . 4
> >    10. Acknowledgements  . . . . . . . . . . . . . . . . . 
> . . . . . . 4
> >    11. Normative References  . . . . . . . . . . . . . . . 
> . . . . . . 4
> >    Authors' Addresses  . . . . . . . . . . . . . . . . . . 
> . . . . . . 4
> >    Intellectual Property and Copyright Statements  . . . . 
> . . . . . . 
> > 6
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 2]
> > > 
> > Internet-Draft                    MSTP                      
>    July 2007
> >
> >
> > 1.  Introduction
> >
> >    Introduce the document, its structure and scope of the solution.
> >
> >
> > 2.  Solution Overview
> >
> >    Give a general overview of how the MN and network nodes 
> are supposed
> >    to work.  Divide the problem space in node discovery and 
> transport.
> >
> > 2.1.  Architecture (functional elements?)
> >
> >    Not sure if it is a subsection or not, but we need to 
> describe the MN
> >    and the NN.
> >
> > 2.1.1.  MIHF Identifiers (FQDN, NAI)
> >
> > 2.2.  Deployment Scenarios
> >
> >    From the slides.
> >
> >
> > 3.  Node Discovery
> >
> >
> > 4.  MIH Transport
> >
> >    NIH transport considerations (latency, congestion control and
> >    reliability)
> >
> >
> > 5.  Security
> >
> >    Information from a trusted source, Security association 
> management,
> >    Security association management
> >
> >
> > 6.  Operation Flows
> >
> >    include here flows for each of the scenarios we want to support.
> >
> >
> > 7.  Message specifications
> >
> >    propose extensions for the missing parts
> >
> >
> >
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 3]
> > > 
> > Internet-Draft                    MSTP                      
>    July 2007
> >
> >
> > 8.  IANA Considerations
> >
> >
> > 9.  Security Considerations
> >
> >
> > 10.  Acknowledgements
> >
> >
> > 11.  Normative References
> >
> >    [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
> >               Requirement Levels", BCP 14, RFC 2119, March 1997.
> >
> >
> > Authors' Addresses
> >
> >    Telemaco Melia (editor)
> >    NEC
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >    Sam Xia
> >    Huawei
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >    Nada Golmie
> >    NIST
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 4]
> > > 
> > Internet-Draft                    MSTP                      
>    July 2007
> >
> >
> >    Heejin Jang
> >    Samsung
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >    Subir Das
> >    Telcordia
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >    Gabor Bajko
> >    Nokia
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >    Juan Carlos Zuniga
> >    InterDigital
> >
> >
> >    Phone:
> >    Fax:
> >    Email:
> >    URI:
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 5]
> > > 
> > Internet-Draft                    MSTP                      
>    July 2007
> >
> >
> > Full Copyright Statement
> >
> >    Copyright (C) The IETF Trust (2007).
> >
> >    This document is subject to the rights, licenses and restrictions
> >    contained in BCP 78, and except as set forth therein, the authors
> >    retain all their rights.
> >
> >    This document and the information contained herein are 
> provided on an
> >    "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION 
> HE/SHE REPRESENTS
> >    OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY, THE 
> IETF TRUST AND
> >    THE INTERNET ENGINEERING TASK FORCE DISCLAIM ALL 
> WARRANTIES, EXPRESS
> >    OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY 
> THAT THE USE OF
> >    THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR 
> ANY IMPLIED
> >    WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A 
> PARTICULAR PURPOSE.
> >
> >
> > Intellectual Property
> >
> >    The IETF takes no position regarding the validity or scope of any
> >    Intellectual Property Rights or other rights that might 
> be claimed to
> >    pertain to the implementation or use of the technology 
> described in
> >    this document or the extent to which any license under 
> such rights
> >    might or might not be available; nor does it represent 
> that it has
> >    made any independent effort to identify any such rights. 
>  Information
> >    on the procedures with respect to rights in RFC documents can be
> >    found in BCP 78 and BCP 79.
> >
> >    Copies of IPR disclosures made to the IETF Secretariat and any
> >    assurances of licenses to be made available, or the result of an
> >    attempt made to obtain a general license or permission 
> for the use of
> >    such proprietary rights by implementers or users of this
> >    specification can be obtained from the IETF on-line IPR 
> repository at
> >    http://www.ietf.org/ipr.
> >
> >    The IETF invites any interested party to bring to its 
> attention any
> >    copyrights, patents or patent applications, or other proprietary
> >    rights that may cover technology that may be required to 
> implement
> >    this standard.  Please address the information to the IETF at
> >    [email-masked].
> >
> >
> > Acknowledgment
> >
> >    Funding for the RFC Editor function is provided by the IETF
> >    Administrative Support Activity (IASA).
> >
> >
> >
> >
> >
> > Melia, et al.           Expires January 25, 2008            
>     [Page 6]
> > > 
> >
> >   
> > 
> ----------------------------------------------------------------------
> > --
> >
> > _______________________________________________
> > MIPSHOP-MIH-DT mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt
> >   
> 
> _______________________________________________
> MIPSHOP-MIH-DT mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt
> 

_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt

---

From: Telemaco Melia <[email-masked]>
Date: Wed, 01 Aug 2007 18:52:06 +0200

> protocol as well as proposed interfaces between MSTP and the other parts of
Hi Sam,

This what we intended to have in section 2.1. This is ok?

tele